org.codehaus.plexus.configuration.io

## Interface PlexusConfigurationReader

All Known Implementing Classes:
  XmlPlexusConfigurationReader

    public interface PlexusConfigurationReader

### Method Summary

All Methods Instance Methods Abstract Methods
`PlexusConfiguration` `read(java.io.InputStream inputStream)`
`PlexusConfiguration` `read(java.io.Reader reader)`

### Method Detail

#### read

    PlexusConfiguration read(java.io.Reader reader)
                      throws java.io.IOException,
                             PlexusConfigurationException

Throws:
  `java.io.IOException`
  `PlexusConfigurationException`

#### read

    PlexusConfiguration read(java.io.InputStream inputStream)
                      throws java.io.IOException,
                             PlexusConfigurationException

Throws:
  `java.io.IOException`
  `PlexusConfigurationException`